#pragma once

#include "bombax.h"
#include "..\pilelibs\includes\robbase\action.h"


#define MAX_UNITS_COUNT    16

class BOMBAX_API CActionCustom :	public CAction
{
public:
	CActionCustom(void);
	virtual ~CActionCustom(void);

	virtual BOOL Excute(CRobot* pRobot, /*int sceneId,*/ HWND hNotifyWnd, int* pErrCode);

public:
	  
	//HWND    hNotifyWnd;

	int    m_nUnitsCount;
	HANDLE m_hControlUnitsArray[MAX_UNITS_COUNT];

	ROB_ACTION_IMPLEMENT_FUNC  m_pfnActionImplement;
	void*  m_pUserData;

};

